#ifndef MSP_AL_LIStENER_H_
#define MSP_AL_LISTENER_H_

#include <AL/al.h>

namespace Msp {
namespace AL {

/**
Represents the listener in the 3D environment.  This class is a singleton.
*/
class Listener
{
private:
	float orientation[6];

	Listener();
public:
	static Listener &instance();

	void set_position(float, float, float);
	void set_forward_direction(float, float, float);
	void set_up_direction(float, float, float);
	void set_velocity(float, float, float);
	void set_gain(float);
};

} // namespace AL
} // namespace Msp

#endif
